commit fa1320d3f53240ba77a4827b1c450509ae46db84
Author: jklowden <jklowden>
Date:   Wed Dec 2 22:58:21 2009 +0000

    warning & uninitialized variable cleanup

diff --git a/ChangeLog b/ChangeLog
index a1e43d4..3290f74 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Wed Dec  2 17:56:52 EST 2009	JK Lowden <jklowden@freetds.org>
+	* src/dblib/dblib.c src/odbc/prepare_query.c src/tds/login.c
+	- warning & uninitialized variable cleanup
+
 Wed Dec  2 17:30:10 EST 2009	JK Lowden <jklowden@freetds.org>
 	* include/sqldb.h add Microsoft db-lib error symbols
 	* src/dblib/dblib.c 
@@ -1946,4 +1950,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2896 2009/12/02 22:35:16 jklowden Exp $
+$Id: ChangeLog,v 1.2897 2009/12/02 22:58:21 jklowden Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 20142fd..d8f3e6b 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.356 2009/12/02 22:35:25 jklowden Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.357 2009/12/02 22:58:21 jklowden Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -2193,8 +2193,8 @@ dbconvert(DBPROCESS * dbproc, int srctype, const BYTE * src, DBINT srclen, int d
 	/* FIXME what happen if client do not reset values ??? */
 	/* FIXME act differently for ms and sybase */
 	if (is_numeric_type(desttype)) {
-		num = (DBNUMERIC *) dest;
-		if (num->precision <= 0 || num->precision > MAXPRECISION || num->scale < 0 || num->scale > num->precision) {
+		num = (DBNUMERIC *) dest;	                         /* num->scale is unsigned */
+		if (num->precision <= 0 || num->precision > MAXPRECISION || num->scale > num->precision) { 
 			dres.n.precision = 18;
 			dres.n.scale = 0;
 		} else {
@@ -7122,7 +7122,6 @@ copy_data_to_host_var(DBPROCESS * dbproc, int srctype, const BYTE * src, DBINT s
 	CONV_RESULT dres;
 	DBINT ret;
 	int i, len;
-	DBNUMERIC *num;
 	DBSMALLINT indicator_value = 0;
 
 	int limited_dest_space = 0;
@@ -7142,8 +7141,8 @@ copy_data_to_host_var(DBPROCESS * dbproc, int srctype, const BYTE * src, DBINT s
 	/* oft times we are asked to convert a data type to itself */
 
 	if (is_numeric_type(desttype)) {
-		num = (DBNUMERIC *) dest;
-		if (num->precision <= 0 || num->precision > MAXPRECISION || num->scale < 0 || num->scale > num->precision) {
+		DBNUMERIC *num = (DBNUMERIC *) dest;	                         /* num->scale is unsigned */
+		if (num->precision <= 0 || num->precision > MAXPRECISION || num->scale > num->precision) { 
 			dres.n.precision = 18;
 			dres.n.scale = 0;
 		} else {
diff --git a/src/odbc/prepare_query.c b/src/odbc/prepare_query.c
index a3be5f4..d40131c 100644
--- a/src/odbc/prepare_query.c
+++ b/src/odbc/prepare_query.c
@@ -43,7 +43,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: prepare_query.c,v 1.78 2009/05/28 16:23:32 freddy77 Exp $");
+TDS_RCSID(var, "$Id: prepare_query.c,v 1.79 2009/12/02 22:58:21 jklowden Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -367,7 +367,7 @@ continue_parse_prepared_query(struct _hstmt *stmt, SQLPOINTER DataPtr, SQLLEN St
 	if (blob) {
 		TDS_CHAR *p;
 		int binary_convert = 0;
-		SQLLEN orig_len;
+		SQLLEN orig_len = len;
 
 		if (sql_src_type == SQL_C_CHAR || sql_src_type == SQL_C_WCHAR) {
 			switch (tds_get_conversion_type(curcol->column_type, curcol->column_size)) {
diff --git a/src/tds/login.c b/src/tds/login.c
index 223d3d9..0ff62f4 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.190 2009/11/26 09:47:41 freddy77 Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.191 2009/12/02 22:58:21 jklowden Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -316,7 +316,7 @@ free_save_context(TDSSAVECONTEXT *ctx)
 int
 tds_connect_and_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 {
-	int erc;
+	int erc = TDSEFCON;
 	int connect_timeout = 0;
 	int db_selected = 0;
 
@@ -351,7 +351,7 @@ tds_connect_and_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 		tds->env_chg_func = tds_save_env;
 		mod_ctx->err_handler = NULL;
 
-		for (i=tds->use_iconv ? 1: 0; i < TDS_VECTOR_SIZE(versions); ++i) {
+		for (i = tds->use_iconv? 1 : 0; i < TDS_VECTOR_SIZE(versions); ++i) {
 			connection->tds_version = versions[i];
 			reset_save_context(&save_ctx);
 

